import type { SwitchableOrigin } from '@serenity-js/web';
import { PageElement, SelectOption } from '@serenity-js/web';
import type * as playwright from 'playwright-core';
/**
 * Playwright-specific implementation of [`PageElement`](https://serenity-js.org/api/web/class/PageElement/).
 *
 * @group Models
 */
export declare class PlaywrightPageElement extends PageElement<playwright.Locator> {
    of(parent: PageElement<playwright.Locator>): PageElement<playwright.Locator>;
    closestTo(child: PageElement<playwright.Locator>): PageElement<playwright.Locator>;
    enterValue(value: string | number | Array<string | number>): Promise<void>;
    clearValue(): Promise<void>;
    click(): Promise<void>;
    doubleClick(): Promise<void>;
    scrollIntoView(): Promise<void>;
    hoverOver(): Promise<void>;
    rightClick(): Promise<void>;
    selectOptions(...options: Array<SelectOption>): Promise<void>;
    selectedOptions(): Promise<Array<SelectOption>>;
    attribute(name: string): Promise<string>;
    text(): Promise<string>;
    value(): Promise<string>;
    html(): Promise<string>;
    switchTo(): Promise<SwitchableOrigin>;
    isActive(): Promise<boolean>;
    isClickable(): Promise<boolean>;
    isEnabled(): Promise<boolean>;
    isSelected(): Promise<boolean>;
    isVisible(): Promise<boolean>;
}
//# sourceMappingURL=PlaywrightPageElement.d.ts.map